List scheduled outbound WhatsApp sends
curl --request GET \
--url https://api-v2.watchcollect.com/v2/outbound/schedules \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/outbound/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/outbound/schedules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actor_user_id": "<string>",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_name": "<string>",
"session_label": "<string>",
"group_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"text_sha256": "<string>",
"text_length": 123,
"media_count": 123,
"status": "scheduled",
"first_run_at_ms": 123,
"max_occurrences": 123,
"run_count": 123,
"failed_run_count": 123,
"updated_at_ms": 123,
"next_run_at_ms": 123,
"interval_ms": 123,
"last_run_at_ms": 123,
"completed_at_ms": 123,
"canceled_at_ms": 123,
"runs": [
{
"occurrence_number": 123,
"status": "started",
"updated_at_ms": 123,
"send_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error_code": "<string>",
"error_message": "<string>",
"started_at_ms": 123,
"failed_at_ms": 123
}
]
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}outbound
List scheduled outbound WhatsApp sends
GET
/
v2
/
outbound
/
schedules
List scheduled outbound WhatsApp sends
curl --request GET \
--url https://api-v2.watchcollect.com/v2/outbound/schedules \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/outbound/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/outbound/schedules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actor_user_id": "<string>",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_name": "<string>",
"session_label": "<string>",
"group_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"text_sha256": "<string>",
"text_length": 123,
"media_count": 123,
"status": "scheduled",
"first_run_at_ms": 123,
"max_occurrences": 123,
"run_count": 123,
"failed_run_count": 123,
"updated_at_ms": 123,
"next_run_at_ms": 123,
"interval_ms": 123,
"last_run_at_ms": 123,
"completed_at_ms": 123,
"canceled_at_ms": 123,
"runs": [
{
"occurrence_number": 123,
"status": "started",
"updated_at_ms": 123,
"send_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error_code": "<string>",
"error_message": "<string>",
"started_at_ms": 123,
"failed_at_ms": 123
}
]
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 200